package com.goldenwater.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.system.domain.SysTemplate;
import com.goldenwater.system.mapper.SysTemplateMapper;
import com.goldenwater.system.service.ISysTemplateService;

/**
 * 系统模板 服务层实现
 * 
 * @author goldenwater
 */
@Service
public class SysTemplateServiceImpl implements ISysTemplateService
{
    @Autowired
    private SysTemplateMapper templateMapper;

    /**
     * 查询模板列表
     * 
     * @param template 模板信息
     * @return 模板集合
     */
    @Override
    public List<SysTemplate> selectSysTemplateList(SysTemplate template)
    {
        return templateMapper.selectSysTemplateList(template);
    }

    /**
     * 根据模板编码查询模板
     * 
     * @param tplCode 模板编码
     * @return 模板信息
     */
    @Override
    public SysTemplate selectSysTemplateById(String tplCode)
    {
        return templateMapper.selectSysTemplateById(tplCode);
    }

    /**
     * 新增模板
     * 
     * @param template 模板信息
     * @return 结果
     */
    @Override
    public int insertSysTemplate(SysTemplate template)
    {
        return templateMapper.insertSysTemplate(template);
    }

    /**
     * 修改模板
     * 
     * @param template 模板信息
     * @return 结果
     */
    @Override
    public int updateSysTemplate(SysTemplate template)
    {
        return templateMapper.updateSysTemplate(template);
    }

    /**
     * 删除模板
     * 
     * @param tplCode 模板编码
     * @return 结果
     */
    @Override
    public int deleteSysTemplateById(String tplCode)
    {
        return templateMapper.deleteSysTemplateById(tplCode);
    }

    /**
     * 批量删除模板
     * 
     * @param tplCodes 需要删除的模板编码
     * @return 结果
     */
    @Override
    public int deleteSysTemplateByIds(String[] tplCodes)
    {
        return templateMapper.deleteSysTemplateByIds(tplCodes);
    }
}
